import * as React from 'react';
import {
  render,
  screen,
} from '@testing-library/react';
import { vi } from 'vitest';
import {
  Badge,
} from '.';

vi.mock('@tesseract-design/web-base-badge');

describe('Badge', () => {
  it('renders a badge', () => {
    render(
      <Badge />
    );
    const badge: HTMLButtonElement = screen.getByTestId('badge');
    expect(badge).toBeInTheDocument();
  });

  it('renders a rounded badge', () => {
    render(
      <Badge
        rounded
      />
    );
    const badge: HTMLButtonElement = screen.getByTestId('badge');
    expect(badge).toBeInTheDocument();
  });
});
